# Send push

![](/files/IJQa2zAkb0iM6E3xRIzo)

{% tabs %}
{% tab title="Entry Vars" %}
**body :** The description that we want to show in our push notification must be entered.

**Send to all :** It is activated when we want to notify all users of an application.

**Vibrate :** It is activated if we want the device that receives it to vibrate when our push arrives.

**Target app :** The application to which we want to send our push notification must be selected.

**Target user email :** You must enter the email of the user to whom we want to send the push notification (disabled)

**Target User Uid :** You must enter the identifier of the user to whom we want to send the push notification

**usesChronometer :**&#x20;

**title :** The title that we want to show in our push notification must be entered.

**Icon URL :**&#x59;ou must enter a URL that contains an image to display as the icon of our notification.

**Big Picture Url :** An url containing an image must be entered to display as an image within our notification.

**Android visibility :**&#x20;

**Step by Step :**
{% endtab %}

{% tab title="Callbacks & Outvar" %}
**Error sending notification :**&#x49;t is executed when the notification is not sent due to an invalid id or bad connection.

OutVars&#x20;

`Null`

**Notification sent :** It is executed when the notification is sent successfully.

OutVars&#x20;

`Null`
{% endtab %}

{% tab title="Features" %}

{% endtab %}

{% tab title="examples" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/reference/funciones/push-notifications/send-push.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
